Package org.apache.bsf.util

# Class StringUtils

java.lang.Object
org.apache.bsf.util.StringUtils

public class StringUtils extends Object
Deals with strings (probably need to elaborate some more).

Author:
  Matthew J. Duftler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `lineSeparator`
  `static final String`
  `lineSeparatorStr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `classNameToVarName(String className)`
  `static String`
  `cleanString(String str)`
  `static String`
  `getChars(int numberOfChars, char theChar)`
  Get a string consisting of `numberOfChars` theChars.
  `static String`
  `getClassName(Class targetClass)`
  `static String`
  `getCommaListFromVector(Vector sourceVector)`
  `static Reader`
  `getContentAsReader(URL url)`
  `static String`
  `getContentAsString(URL url)`
  `static String`
  `getSafeString(String scriptStr)`
  `static URL`
  `getURL(URL contextURL, String spec)`
  `static String`
  `getValidIdentifierName(String identifierName)`
  `static boolean`
  `isValidIdentifierName(String identifierName)`
  `static boolean`
  `isValidPackageName(String packageName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### lineSeparator

    public static final String lineSeparator

  - ### lineSeparatorStr

    public static final String lineSeparatorStr

- ## Constructor Details

  - ### StringUtils

    public StringUtils()

- ## Method Details

  - ### classNameToVarName

    public static String classNameToVarName(String className)

  - ### cleanString

    public static String cleanString(String str)

  - ### getChars

    public static String getChars(int numberOfChars, char theChar)
    Get a string consisting of `numberOfChars` theChars.
    Returns:
      a string consisting of `numberOfChars` theChars.

  - ### getClassName

    public static String getClassName(Class targetClass)

  - ### getCommaListFromVector

    public static String getCommaListFromVector(Vector sourceVector)

  - ### getContentAsReader

    public static Reader getContentAsReader(URL url) throws SecurityException, IllegalArgumentException, IOException
    Throws:
      `SecurityException`
      `IllegalArgumentException`
      `IOException`

  - ### getContentAsString

    public static String getContentAsString(URL url) throws SecurityException, IllegalArgumentException, IOException
    Throws:
      `SecurityException`
      `IllegalArgumentException`
      `IOException`

  - ### getSafeString

    public static String getSafeString(String scriptStr)

  - ### getURL

    public static URL getURL(URL contextURL, String spec) throws MalformedURLException
    Throws:
      `MalformedURLException`

  - ### getValidIdentifierName

    public static String getValidIdentifierName(String identifierName)

  - ### isValidIdentifierName

    public static boolean isValidIdentifierName(String identifierName)

  - ### isValidPackageName

    public static boolean isValidPackageName(String packageName)